# SPDX-FileCopyrightText: Copyright (c) 2024, Linaro Limited.
#
# SPDX-License-Identifier: MIT
---
device_type: kv260

job_name: {{ CI_JOB_NAME }}

timeouts:
  job:
    minutes: 60

{%- if FREQUENCY == 'adhoc' %}
priority: medium
{%- else %}
priority: low
{%- endif %}

visibility: public

metadata:
  source: {{ CI_PROJECT_URL }}
  path: .gitlab/lava/zynqmp-kria-starter/sanity.yml.j2
  gitlab-job-url: {{ CI_JOB_URL }}

notify:
  criteria:
    status: finished
  callbacks:
    - url: "{{ CI_API_V4_URL }}/projects/{{ CI_PROJECT_ID }}/jobs/{{ TEST_COMPLETE_JOB_ID }}/play"
      method: POST
      token: GITLAB_PRIVATE_TOKEN
      header: "PRIVATE-TOKEN"
      dataset: minimal

context:
  boot_character_delay: 30
  test_character_delay: 30
  extra_kernel_args: rootwait

actions:
# Flash firmware and distro images and reset the device
- deploy:
    timeout:
      minutes: 40
    to: flasher
    images:
      ImageA:
        url: "{{ FIRMWARE_ARTIFACT }}"
        compression: gz
      ImageB:
        url: "{{ FIRMWARE_ARTIFACT }}"
        compression: gz
      sd:
        url: "{{ IMAGE_ARTIFACT }}"
        compression: gz
        partition: 1
        format: ext4
        overlays:
          lava: true

- boot:
    parameters:
      kernel-start-message: ''
    timeout:
      minutes: 10
    method: minimal

# Boot until login prompt is reached
- boot:
    parameters:
      kernel-start-message: ''
    timeout:
      minutes: 10
    method: minimal
    reset: false
    auto_login:
      login_prompt: 'zynqmp-kria-starter login:.*'
      username: cassini
      login_commands:
      - cassini123
      - cassini123
    prompts:
      - 'New password: '
      - 'Retype new password: '
      - '@zynqmp-kria-starter:.+\$ '
      - '@zynqmp-kria-starter:.+# '
